## sunpy 4.0.6

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

html-noplot:
	@$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

clean:
	rm -rf $(BUILDDIR)
	rm -rf $(BUILDDIR)/../generated

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## sunpy 0.6.1

=== debian/changelog ===
sunpy (0.6.1-2) unstable; urgency=low

  * Add upstream/metadata
  * Add CI tests

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jan 2016 14:05:06 +0100

sunpy (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #807739)

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Jan 2016 13:21:23 +0100

=== debian/control ===
Source: sunpy
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.7),
               python-astropy (>= 1.0),
               python-astropy-helpers,
               python-bs4,
               python-matplotlib (>= 1.1),
               python-numpy,
               python-pandas,
               python-pytest,
               python-requests,
               python-scipy,
               python-setuptools,
               python-skimage,
               python-sqlalchemy,
               python-suds
Standards-Version: 3.9.6
Homepage: http://sunpy.org/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/sunpy.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/sunpy.git
X-Python-Version: >= 2.7

Package: python-sunpy
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
	 ${shlibs:Depends}
Recommends: python-ps4,
            python-requests,
            python-skimage,
            python-sqlalchemy,
            python-suds,
            python-wcsaxes (>= 0.6)
Description: Software library for solar physics based on Python
 SunPy is a community-developed free and open-source software package for
 solar physics. SunPy is meant to be a free alternative to the SolarSoft data
 analysis environment. The aim of the SunPy project is to provide the
 software tools necessary so that anyone can analyze solar data.

=== debian/tests/control ===
Tests: python-sunpy
Depends: python-sunpy,
         python-bs4,
	 python-pytest,
         python-requests,
         python-skimage,
         python-sqlalchemy,
         python-suds

## sunpy 0.6.3

=== debian/changelog ===
sunpy (0.6.3-2) unstable; urgency=medium

  * Disable the wrong testing of an online test

 -- Ole Streicher <olebole@debian.org>  Sun, 10 Apr 2016 10:03:47 +0200

sunpy (0.6.3-1) unstable; urgency=low

  * New upstream version
  * Update standard to 3.9.7; no changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Apr 2016 20:51:32 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
                python-skimage,
                python-sqlalchemy,
                python-suds
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://sunpy.org/
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/sunpy.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/sunpy.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/sunpy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/sunpy.git
 X-Python-Version: >= 2.7
 
 Package: python-sunpy

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)

export PYBUILD_NAME=sunpy
export http_proxy=127.0.0.1:9
export HOME=$(shell mktemp -d)

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	py.test sunpy -k "not figure and not online"

override_dh_python2:
	dh_numpy
	dh_python2

override_dh_fixperms:
	chmod a-x debian/python-sunpy/usr/lib/python*/dist-packages/sunpy/data/test/cor1_20090615_000500_s4c1A.fts
	dh_fixperms

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/sunpy/sunpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sunpy 0.6.4

=== debian/changelog ===
sunpy (0.6.4-1) unstable; urgency=low

  * New upstream version
  * Update standard to 3.9.8; no changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 09 May 2016 20:46:08 -0300

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python-skimage,
                python-sqlalchemy,
                python-suds
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://sunpy.org/
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/sunpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/sunpy.git

## sunpy 0.7

=== debian/changelog ===
sunpy (0.7-2) unstable; urgency=low

  * Correct quotes for CI test commands

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Jun 2016 14:42:56 +0200

sunpy (0.7-1) unstable; urgency=low

  * New upstream version
  * Add Python 3 package

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jun 2016 22:22:23 +0200

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python -c 'import sunpy; sunpy.self_test(args="-k not figure and not online")'
Depends: python-sunpy,
         python-bs4,
	 python-pytest,
         python-requests,
         python-skimage,
         python-sqlalchemy,
         python-suds
Restrictions: allow-stderr

Test-Command: cd $ADTTMP && python3 -c 'import sunpy; sunpy.self_test(args="-k not figure and not online")'
Depends: python3-sunpy,
         python3-bs4,
	 python3-pytest,
         python3-requests,
         python3-skimage,
         python3-sqlalchemy,
         python3-suds
Restrictions: allow-stderr

## sunpy 0.7.2

=== debian/changelog ===
sunpy (0.7.2-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Tue, 21 Jun 2016 14:27:51 +0200

## sunpy 0.7.3

=== debian/changelog ===
sunpy (0.7.3-1) unstable; urgency=low

  * Imported Upstream version 0.7.3

 -- Ole Streicher <olebole@debian.org>  Sat, 13 Aug 2016 13:13:20 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell pyversions -vr)

export PYBUILD_NAME=sunpy
export http_proxy=127.0.0.1:9
export HOME=$(shell mktemp -d)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	py.test-2.7 sunpy -k "not figure and not online"
	py.test-3 sunpy -k "not figure and not online"

override_dh_python2:
	dh_numpy
	dh_python2

override_dh_python3:
	dh_numpy
	dh_python3

override_dh_fixperms:
	chmod a-x debian/python*-sunpy/usr/lib/python*/dist-packages/sunpy/data/test/*.fts
	dh_fixperms

## sunpy 0.7.4

=== debian/changelog ===
sunpy (0.7.4-2) unstable; urgency=medium

  * Fix numpy 1.12 integer index problems appearing in tests

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Dec 2016 15:25:10 +0100

sunpy (0.7.4-1) unstable; urgency=medium

  * Propagate CI test exit code
  * New upstream version 0.7.4

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Nov 2016 13:03:53 +0100

sunpy (0.7.3-2) unstable; urgency=low

  * Use "python -m pytest" for tests. Closes: #835251

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Aug 2016 14:01:52 +0200

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python -c "import sunpy; exit(sunpy.self_test(args=\"-k not figure and not online\"))"
Depends: python-sunpy,
         python-bs4,
	 python-pytest,
         python-requests,
         python-skimage,
         python-sqlalchemy,
         python-suds
Restrictions: allow-stderr

Test-Command: cd $ADTTMP && python3 -c "import sunpy; exit(sunpy.self_test(args=\"-k not figure and not online\"))"
Depends: python3-sunpy,
         python3-bs4,
	 python3-pytest,
         python3-requests,
         python3-skimage,
         python3-sqlalchemy,
         python3-suds
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/sunpy/sunpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sunpy 0.7.8

=== debian/changelog ===
sunpy (0.7.8-2) unstable; urgency=low

  * Make Python 3 package arch:all. Closes: #867605

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2017 15:41:40 +0200

sunpy (0.7.8-1) unstable; urgency=medium

  * New upstream version 0.7.8
  * Push Standards-Version to 4.0.0. No changes

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2017 20:49:56 +0200

=== debian/control ===
--- 
+++ 
@@ -18,19 +18,34 @@
                python-setuptools,
                python-skimage,
                python-sqlalchemy,
-               python-suds
-Standards-Version: 3.9.8
+               python-suds,
+               python3-all (>= 3.4),
+               python3-astropy (>= 1.0),
+               python3-astropy-helpers,
+               python3-bs4,
+               python3-matplotlib (>= 1.1),
+               python3-numpy,
+               python3-pandas,
+               python3-pytest,
+               python3-requests,
+               python3-scipy,
+               python3-setuptools,
+               python3-skimage,
+               python3-sqlalchemy,
+               python3-suds
+Standards-Version: 4.0.0
 Homepage: http://sunpy.org/
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/sunpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/sunpy.git
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 
 Package: python-sunpy
 Architecture: any
 Depends: ${misc:Depends},
          ${python:Depends},
 	 ${shlibs:Depends}
-Recommends: python-ps4,
+Recommends: python-bs4,
             python-requests,
             python-skimage,
             python-sqlalchemy,
@@ -41,3 +56,24 @@
  solar physics. SunPy is meant to be a free alternative to the SolarSoft data
  analysis environment. The aim of the SunPy project is to provide the
  software tools necessary so that anyone can analyze solar data.
+ .
+ This package contains the Python 2 version.
+
+Package: python3-sunpy
+Architecture: all
+Depends: ${misc:Depends},
+         ${python3:Depends},
+	 ${shlibs:Depends}
+Recommends: python3-bs4,
+            python3-requests,
+            python3-skimage,
+            python3-sqlalchemy,
+            python3-suds,
+            python3-wcsaxes (>= 0.6)
+Description: Software library for solar physics based on Python 3
+ SunPy is a community-developed free and open-source software package for
+ solar physics. SunPy is meant to be a free alternative to the SolarSoft data
+ analysis environment. The aim of the SunPy project is to provide the
+ software tools necessary so that anyone can analyze solar data.
+ .
+ This package contains the Python 3 version.

## sunpy 0.7.9

=== debian/changelog ===
sunpy (0.7.9-1) unstable; urgency=medium

  * New upstream version 0.7.9. Closes: #868053
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 18 Jul 2017 13:38:04 +0200

## sunpy 0.8.1

=== debian/changelog ===
sunpy (0.8.1-2) unstable; urgency=low

  * Update test dependencies to fix CI tests

 -- Ole Streicher <olebole@debian.org>  Wed, 23 Aug 2017 20:47:34 +0200

sunpy (0.8.1-1) unstable; urgency=low

  * Replace signing key by Nabil Freij
  * Drop patch applied upstream
  * Switch to https in d/copyright format URL
  * Update build dependencies
  * Remove obsolete wcsaxes package Recommends
  * Make Python 3 package arch:any again
  * New upstream version 0.8.1
  * Push standards-version to 4.1.0. No changes needed.
  * Mark known test failures as xfail.
  * Remove outdated entries from d/copyright

 -- Ole Streicher <olebole@debian.org>  Wed, 23 Aug 2017 09:53:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,31 +9,37 @@
                python-astropy (>= 1.0),
                python-astropy-helpers,
                python-bs4,
+               python-hypothesis,
                python-matplotlib (>= 1.1),
+               python-mock,
                python-numpy,
                python-pandas,
                python-pytest,
+               python-pytest-mock,
                python-requests,
                python-scipy,
                python-setuptools,
                python-skimage,
                python-sqlalchemy,
                python-suds,
-               python3-all (>= 3.4),
+               python3-all-dev (>= 3.4),
                python3-astropy (>= 1.0),
                python3-astropy-helpers,
                python3-bs4,
+               python3-hypothesis,
                python3-matplotlib (>= 1.1),
+               python3-mock,
                python3-numpy,
                python3-pandas,
                python3-pytest,
+               python3-pytest-mock,
                python3-requests,
                python3-scipy,
                python3-setuptools,
                python3-skimage,
                python3-sqlalchemy,
                python3-suds
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: http://sunpy.org/
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/sunpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/sunpy.git
@@ -49,8 +55,7 @@
             python-requests,
             python-skimage,
             python-sqlalchemy,
-            python-suds,
-            python-wcsaxes (>= 0.6)
+            python-suds
 Description: Software library for solar physics based on Python
  SunPy is a community-developed free and open-source software package for
  solar physics. SunPy is meant to be a free alternative to the SolarSoft data
@@ -60,7 +65,7 @@
  This package contains the Python 2 version.
 
 Package: python3-sunpy
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
 	 ${shlibs:Depends}
@@ -68,8 +73,7 @@
             python3-requests,
             python3-skimage,
             python3-sqlalchemy,
-            python3-suds,
-            python3-wcsaxes (>= 0.6)
+            python3-suds
 Description: Software library for solar physics based on Python 3
  SunPy is a community-developed free and open-source software package for
  solar physics. SunPy is meant to be a free alternative to the SolarSoft data

## sunpy 0.8.2

=== debian/changelog ===
sunpy (0.8.2-1) unstable; urgency=low

  * Remove signing key
  * New upstream version 0.8.2
  * Push Standards-Version to 4.1.1. Change d/watch URL to https

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Oct 2017 14:02:47 -0300

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                python3-skimage,
                python3-sqlalchemy,
                python3-suds
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: http://sunpy.org/
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/sunpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/sunpy.git

## sunpy 0.8.3

=== debian/changelog ===
sunpy (0.8.3-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 0.8.3. Rediff patches
  * Push Standards-Version to 4.1.3. No changes needed.
  * Remove outdated and unused --doctest-rst option from setup.cfg

 -- Ole Streicher <olebole@debian.org>  Mon, 29 Jan 2018 17:11:22 +0100

=== debian/control ===
--- 
+++ 
@@ -39,10 +39,10 @@
                python3-skimage,
                python3-sqlalchemy,
                python3-suds
-Standards-Version: 4.1.1
-Homepage: http://sunpy.org/
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/sunpy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/sunpy.git
+Standards-Version: 4.1.3
+Homepage: https://sunpy.org/
+Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	py.test-2.7 sunpy -k "not figure and not online"
-	py.test-3 sunpy -k "not figure and not online"
+	python -m pytest sunpy -k "not figure and not online"
+	python3 -m pytest sunpy -k "not figure and not online"
 
 override_dh_python2:
 	dh_numpy

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python -c "import sunpy; exit(sunpy.self_test(args=\"-k not figure and not online\"))"
Depends: python-sunpy,
         python-bs4,
         python-hypothesis,
         python-mock,
         python-pytest,
         python-pytest-mock,
         python-requests,
         python-skimage,
         python-sqlalchemy,
         python-suds
Restrictions: allow-stderr

Test-Command: cd $ADTTMP && python3 -c "import sunpy; exit(sunpy.self_test(args=\"-k not figure and not online\"))"
Depends: python3-sunpy,
         python3-bs4,
         python3-hypothesis,
         python3-mock,
         python3-pytest,
         python3-pytest-mock,
         python3-requests,
         python3-skimage,
         python3-sqlalchemy,
         python3-suds
Restrictions: allow-stderr

## sunpy 0.9.2

=== debian/changelog ===
sunpy (0.9.2-5) unstable; urgency=medium

  * Recommend python-drms, and depend the tests on it

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Aug 2018 20:49:12 +0200

sunpy (0.9.2-4) unstable; urgency=medium

  * Skip more tests that timeout on MIPS familily

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Aug 2018 14:34:54 +0200

sunpy (0.9.2-3) unstable; urgency=low

  * Disable another occasionally failing test on mipsel

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Aug 2018 12:44:57 +0200

sunpy (0.9.2-2) unstable; urgency=medium

  * Mark known test failures as xfail (being discussed with upstream)

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Aug 2018 09:25:53 +0200

sunpy (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2. Closes: #897467
  * Rediff patches
  * Push Standards-Version to 4.2.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Aug 2018 21:12:17 +0200

sunpy (0.9.0-1) unstable; urgency=low

  * Push Standards-Version to 4.1.4. No changes needed.
  * Push compat to 11
  * New upstream version 0.9.0
  * Add python(3)-drms to build requirements
  * Drop Mark-known-test-failures-as-xfail.patch: All failures fixed
  * SKIP xfailing doctests. Remove doctest_plus reference

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Apr 2018 11:00:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all-dev (>= 2.7),
                python-astropy (>= 1.0),
                python-astropy-helpers,
                python-bs4,
+               python-drms,
                python-hypothesis,
                python-matplotlib (>= 1.1),
                python-mock,
@@ -26,6 +27,7 @@
                python3-astropy (>= 1.0),
                python3-astropy-helpers,
                python3-bs4,
+               python3-drms,
                python3-hypothesis,
                python3-matplotlib (>= 1.1),
                python3-mock,
@@ -39,19 +41,18 @@
                python3-skimage,
                python3-sqlalchemy,
                python3-suds
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://sunpy.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 
 Package: python-sunpy
 Architecture: any
 Depends: ${misc:Depends},
          ${python:Depends},
-	 ${shlibs:Depends}
+         ${shlibs:Depends}
 Recommends: python-bs4,
+            python-drms,
             python-requests,
             python-skimage,
             python-sqlalchemy,
@@ -68,8 +69,9 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
-	 ${shlibs:Depends}
+         ${shlibs:Depends}
 Recommends: python3-bs4,
+            python3-drms,
             python3-requests,
             python3-skimage,
             python3-sqlalchemy,

## sunpy 0.9.3

=== debian/changelog ===
sunpy (0.9.3-1build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 23:03:06 +0000

sunpy (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3
  * Push Standards-Versionto 4.2.1. No changes required
  * Use PYBUILD_TEST_ARGS for tests
  * Remove obsolete $HOME
  * Don't use SunPyTest class: prevents from testing

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Sep 2018 15:08:37 +0200

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
                python3-skimage,
                python3-sqlalchemy,
                python3-suds
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://sunpy.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=sunpy
export PYBUILD_TEST_ARGS=-k "not figure and not online"

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_python2:
	dh_numpy
	dh_python2

override_dh_python3:
	dh_numpy
	dh_python3

override_dh_fixperms:
	chmod a-x debian/python*-sunpy/usr/lib/python*/dist-packages/sunpy/data/test/*.fts
	dh_fixperms

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Test-Command: cd $ADTTMP && python -c "import sunpy; exit(sunpy.self_test(args=\"-k not figure and not online\"))"
 Depends: python-sunpy,
+         python-drms,
          python-bs4,
          python-hypothesis,
          python-mock,
@@ -14,6 +15,7 @@
 Test-Command: cd $ADTTMP && python3 -c "import sunpy; exit(sunpy.self_test(args=\"-k not figure and not online\"))"
 Depends: python3-sunpy,
          python3-bs4,
+         python3-drms,
          python3-hypothesis,
          python3-mock,
          python3-pytest,

## sunpy 0.9.4

=== debian/changelog ===
sunpy (0.9.4-2) unstable; urgency=low

  * Remove Python 2 package

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Dec 2018 08:30:54 +0100

sunpy (0.9.4-1) unstable; urgency=low

  * New upstream version 0.9.4. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 14 Nov 2018 18:16:24 +0100

=== debian/control ===
Source: sunpy
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all-dev (>= 3.4),
               python3-astropy (>= 1.0),
               python3-astropy-helpers,
               python3-bs4,
               python3-drms,
               python3-hypothesis,
               python3-matplotlib (>= 1.1),
               python3-mock,
               python3-numpy,
               python3-pandas,
               python3-pytest,
               python3-pytest-mock,
               python3-requests,
               python3-scipy,
               python3-setuptools,
               python3-skimage,
               python3-sqlalchemy,
               python3-suds
Standards-Version: 4.2.1
Homepage: https://sunpy.org/
Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy

Package: python3-sunpy
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-bs4,
            python3-drms,
            python3-requests,
            python3-skimage,
            python3-sqlalchemy,
            python3-suds
Description: Software library for solar physics based on Python
 SunPy is a community-developed free and open-source software package for
 solar physics. SunPy is meant to be a free alternative to the SolarSoft data
 analysis environment. The aim of the SunPy project is to provide the
 software tools necessary so that anyone can analyze solar data.

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python3 -c "import sunpy; exit(sunpy.self_test(args=\"-k not figure and not online\"))"
Depends: python3-sunpy,
         python3-bs4,
         python3-drms,
         python3-hypothesis,
         python3-mock,
         python3-pytest,
         python3-pytest-mock,
         python3-requests,
         python3-skimage,
         python3-sqlalchemy,
         python3-suds
Restrictions: allow-stderr

## sunpy 0.9.5

=== debian/changelog ===
sunpy (0.9.5-1) unstable; urgency=low

  * New upstream version 0.9.5. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Dec 2018 13:14:57 +0100

## sunpy 0.9.6

=== debian/changelog ===
sunpy (0.9.6-2) unstable; urgency=medium

  * Add gitlab-ci.yml
  * Fix CI test command
  * Fix test failure of test_hcrs_hgs

 -- Ole Streicher <olebole@debian.org>  Fri, 08 Feb 2019 16:34:52 +0100

sunpy (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6. Rediff patches
  * Use doctestplus pytest plugin
  * Push Standards-Version to 4.3.0. Change remaining URLs to https
  * Push compat to 12

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Jan 2019 20:13:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python3-all-dev (>= 3.4),
                python3-astropy (>= 1.0),
@@ -16,6 +16,7 @@
                python3-numpy,
                python3-pandas,
                python3-pytest,
+               python3-pytest-doctestplus,
                python3-pytest-mock,
                python3-requests,
                python3-scipy,
@@ -23,7 +24,7 @@
                python3-skimage,
                python3-sqlalchemy,
                python3-suds
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://sunpy.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python3 -c "import sunpy; exit(sunpy.self_test(args=\"-k 'not figure and not online'\"))"
Depends: python3-sunpy,
         python3-bs4,
         python3-drms,
         python3-hypothesis,
         python3-mock,
         python3-pytest,
         python3-pytest-doctestplus,
         python3-pytest-mock,
         python3-requests,
         python3-skimage,
         python3-sqlalchemy,
         python3-suds
Restrictions: allow-stderr

## sunpy 1.0.3

=== debian/changelog ===
sunpy (1.0.3-2ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:21:26 +0100

sunpy (1.0.3-2ubuntu2) focal; urgency=medium

  * Fix build with Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Oct 2019 21:30:19 +0200

sunpy (1.0.3-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:57:09 +0000

sunpy (1.0.3-2) unstable; urgency=medium

  * Fix CI tests and test dependencies

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Aug 2019 16:37:18 +0200

sunpy (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3. Rediff patches. Closes: #934959
  * Update dependencies
  * Push Standards-Version to 4.4.0. No changes required
  * Push compat to 12. Remove d/compat
  * Remove unused paragraph from d/copyright

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Aug 2019 20:28:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,35 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3-all-dev (>= 3.4),
-               python3-astropy (>= 1.0),
-               python3-astropy-helpers,
+               python3-all-dev (>= 3.6),
+               python3-asdf,
+               python3-astropy (>= 3.1~),
+               python3-astropy-helpers (>= 3.2~),
                python3-bs4,
+               python3-distro,
+               python3-distutils,
                python3-drms,
                python3-hypothesis,
                python3-matplotlib (>= 1.1),
                python3-mock,
                python3-numpy,
                python3-pandas,
+               python3-parfive,
                python3-pytest,
                python3-pytest-doctestplus,
                python3-pytest-mock,
                python3-requests,
                python3-scipy,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-skimage,
                python3-sqlalchemy,
-               python3-suds
-Standards-Version: 4.3.0
+               python3-suds,
+               python3-tqdm,
+               python3-zeep
+Standards-Version: 4.4.0
 Homepage: https://sunpy.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
@@ -33,6 +40,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-distro,
          ${shlibs:Depends}
 Recommends: python3-bs4,
             python3-drms,

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,10 @@
 export PYBUILD_TEST_ARGS=-k "not figure and not online"
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
-
-override_dh_python2:
-	dh_numpy
-	dh_python2
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_python3:
-	dh_numpy
+	dh_numpy3
 	dh_python3
 
 override_dh_fixperms:

=== debian/tests/control ===
Test-Command: cd $ADTTMP && SUNPY_CONFIGDIR=$ADTTMP python3 -c "import sunpy; exit(sunpy.self_test(args=\"-k 'not figure and not online'\"))"
Depends: python3-sunpy,
         python3-asdf,
         python3-bs4,
         python3-drms,
         python3-hypothesis,
         python3-tk,
         python3-mock,
         python3-pytest,
         python3-pytest-doctestplus,
         python3-pytest-mock,
         python3-requests,
         python3-skimage,
         python3-sqlalchemy,
         python3-suds,
         python3-zeep
Restrictions: allow-stderr

## sunpy 1.1.0

=== debian/changelog ===
sunpy (1.1.0-1) unstable; urgency=low

  * New upstream version 1.1.0. Closes: #947109
  * Rediff patches. Remove xfail mark for test fixed upstream
  * Push Standards-Version to 4.4.1. No changes needed
  * Call pytest in CI test
  * Fix Python version for requiring importlib_resources

 -- Ole Streicher <olebole@debian.org>  Mon, 13 Jan 2020 13:18:02 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                python3-astropy (>= 3.1~),
                python3-astropy-helpers (>= 3.2~),
                python3-bs4,
-               python3-distro,
                python3-distutils,
                python3-drms,
                python3-hypothesis,
@@ -31,7 +30,7 @@
                python3-suds,
                python3-tqdm,
                python3-zeep
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://sunpy.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
@@ -40,7 +39,6 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-distro,
          ${shlibs:Depends}
 Recommends: python3-bs4,
             python3-drms,

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: cd $ADTTMP && SUNPY_CONFIGDIR=$ADTTMP python3 -c "import sunpy; exit(sunpy.self_test(args=\"-k 'not figure and not online'\"))"
+Test-Command: cd $AUTOPKGTEST_TMP && SUNPY_CONFIGDIR=$AUTOPKGTEST_TMP python3 -m pytest --pyargs sunpy -k "not figure and not online"
 Depends: python3-sunpy,
          python3-asdf,
          python3-bs4,

## sunpy 1.1.3

=== debian/changelog ===
sunpy (1.1.3-1) unstable; urgency=low

  * New upstream version 1.1.3. Rediff patches
  * Remove unneeded minversion from matplotlib build dep

 -- Ole Streicher <olebole@debian.org>  Sun, 03 May 2020 13:23:29 +0200

sunpy (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Apr 2020 15:44:21 +0200

sunpy (1.1.1-2) unstable; urgency=low

  * Helper function for testing closeness of longitudes to fix FTBFS

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Feb 2020 17:21:28 +0100

sunpy (1.1.1-1) unstable; urgency=low

  * New upstream version 1.1.1. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Feb 2020 10:56:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: sunpy
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all-dev (>= 3.6),
@@ -13,7 +13,7 @@
                python3-distutils,
                python3-drms,
                python3-hypothesis,
-               python3-matplotlib (>= 1.1),
+               python3-matplotlib,
                python3-mock,
                python3-numpy,
                python3-pandas,
@@ -30,10 +30,10 @@
                python3-suds,
                python3-tqdm,
                python3-zeep
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
+Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Homepage: https://sunpy.org/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 
 Package: python3-sunpy
 Architecture: any

## sunpy 2.0.1

=== debian/changelog ===
sunpy (2.0.1-2build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:12:44 +0100

sunpy (2.0.1-2) unstable; urgency=medium

  * Remove deadlines and too_slow health check for hypothesis tests
    failing on mips(64)el

 -- Ole Streicher <olebole@debian.org>  Sat, 27 Jun 2020 11:06:07 +0200

sunpy (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1. Rediff patches
  * Add new dependencies
  * Push dh-compat to 13
  * Add Rules-Requires-Root: no to d/control
  * Mark test that fails during build

 -- Ole Streicher <olebole@debian.org>  Fri, 26 Jun 2020 11:30:19 +0200

## sunpy 2.0.3

=== debian/changelog ===
sunpy (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3. Rediff patches
  * Update d/copyright

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Oct 2020 11:31:21 +0200

sunpy (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 28 Sep 2020 13:26:10 +0200

## sunpy 2.0.4

=== debian/changelog ===
sunpy (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Nov 2020 11:45:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all-dev (>= 3.6),
+               python3-all-dev (>= 3.6~),
                python3-asdf,
-               python3-astropy (>= 3.1~),
-               python3-astropy-helpers (>= 3.2~),
+               python3-astropy (>= 3.2~),
                python3-bs4,
                python3-distutils,
+               python3-extension-helpers,
                python3-drms,
                python3-hypothesis,
-               python3-matplotlib,
+               python3-matplotlib (>= 2.2.2~),
                python3-mock,
                python3-numpy,
-               python3-pandas,
+               python3-pandas (>= 0.23.0~),
                python3-parfive,
                python3-pytest,
                python3-pytest-doctestplus,
                python3-pytest-mock,
                python3-requests,
-               python3-scipy,
+               python3-scipy (>= 1.0.0~),
                python3-setuptools,
                python3-setuptools-scm,
                python3-skimage,
@@ -34,6 +34,7 @@
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Homepage: https://sunpy.org/
+Rules-Requires-Root: no
 
 Package: python3-sunpy
 Architecture: any

## sunpy 2.0.5

=== debian/changelog ===
sunpy (2.0.5-1build1) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:28:00 +0100

sunpy (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Nov 2020 12:59:52 +0100

sunpy (2.0.4-2) unstable; urgency=medium

  * Remove deadlines and too_slow health check for hypothesis tests
    failing on mipsel once more

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Nov 2020 21:37:53 +0100

## sunpy 2.0.7

=== debian/changelog ===
sunpy (2.0.7-1) unstable; urgency=medium

  * New upstream version 2.0.7
  * Push Standards-Version to 4.5.1. No changes needed
  * Rediff patches
  * Remove version.py: generated during build. Closes: #978280

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Jan 2021 16:53:19 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-suds,
                python3-tqdm,
                python3-zeep
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Homepage: https://sunpy.org/

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && SUNPY_CONFIGDIR=$AUTOPKGTEST_TMP python3 -m pytest --remote-data=none --pyargs sunpy -k "not figure and not online"
Depends: python3-sunpy,
         python3-bs4,
         python3-drms,
         python3-hypothesis,
         python3-tk,
         python3-mock,
         python3-parfive,
         python3-pytest,
         python3-pytest-doctestplus,
         python3-pytest-mock,
         python3-requests,
         python3-skimage,
         python3-sqlalchemy,
         python3-suds,
         python3-zeep
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sunpy/sunpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sunpy 3.0.1

=== debian/changelog ===
sunpy (3.0.1-4) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/rules:
    - Do not install /usr/lib/python3/dist-packages/benchmarks/
       (Closes: #991981)
    - Respect DEB_BUILD_OPTIONS=nocheck
    - Improved clean to allow repeated builds
  * d/u/metadata: Added ref to conda

  [ Nilesh Patra ]
  * d/rules: Copy relevant directories in the build
    directory to get build-time tests pass

  [ Ole Streicher ]
  * Remove additional line on top of d/u/metadata
  * Ignore warnings about outdated h5py

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Sep 2021 11:47:37 +0200

sunpy (3.0.1-2) unstable; urgency=medium

  * Ignore "RuntimeWarning: invalid value encountered in multiply" in tests

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 22:55:19 +0200

sunpy (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1. Closes: #982397
  * Rediff patches
  * Switch back to unstable
  * Push Standards-Version to 4.6.0. No changes needed
  * Skip tests that use unavailable data

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 08:07:05 +0200

sunpy (2.1.0~rc3-1) experimental; urgency=medium

  * Add bug-closes-# to 2.1.0~rc1-1 changelog entry
  * New upstream version 2.1.0~rc3
  * Rediff patches
  * Fix WCS 7.4 related errors. Closes: #982397

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Feb 2021 12:50:11 +0100

sunpy (2.1.0~rc1-2) experimental; urgency=medium

  * Add py3-h5netcdf to tests dependencies
  * Remove additional hypothesis check to fix failure on armel platform

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Dec 2020 13:21:13 +0100

sunpy (2.1.0~rc1-1) experimental; urgency=medium

  * New upstream RC version 2.1.0~rc1. Switch to experimental.
  * Rediff patches
  * Remove version.py: generated during build. Closes: #978280
  * Add py3-h5netcdf build dependency

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Dec 2020 11:24:56 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-distutils,
                python3-extension-helpers,
                python3-drms,
+               python3-h5netcdf,
                python3-hypothesis,
                python3-matplotlib (>= 2.2.2~),
                python3-mock,
@@ -30,7 +31,7 @@
                python3-suds,
                python3-tqdm,
                python3-zeep
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Homepage: https://sunpy.org/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=sunpy
export PYBUILD_TEST_ARGS=-k "not figure and not online"
export PYBUILD_BEFORE_TEST := cp -a CITATION.rst {build_dir}/sunpy/ && \
			      cp -a sunpy/data/ {build_dir}/sunpy/ && \
			      cp -a sunpy/visualization/colormaps/data {build_dir}/sunpy/visualization/colormaps/ && \
			      cp -a sunpy/net/jsoc/data {build_dir}/sunpy/net/jsoc/ && \
			      cp -a sunpy/net/vso/data {build_dir}/sunpy/net/vso && \
			      cp -a sunpy/database/tests/*.txt {build_dir}/sunpy/database/tests/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_numpy3
	dh_python3
	# conflicts with other packages
	rm -r debian/python3-sunpy/usr/lib/python3/dist-packages/benchmarks

override_dh_fixperms:
	chmod a-x debian/python*-sunpy/usr/lib/python*/dist-packages/sunpy/data/test/*.fts
	dh_fixperms

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f sunpy.egg-info/PKG-INFO sunpy.egg-info/SOURCES.txt sunpy.egg-info/requires.txt

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Depends: python3-sunpy,
          python3-bs4,
          python3-drms,
+         python3-h5netcdf,
          python3-hypothesis,
          python3-tk,
          python3-mock,

## sunpy 3.1.2

=== debian/changelog ===
sunpy (3.1.2-3ubuntu1) jammy; urgency=medium

  * Enable tests to avoid FTBFS on riscv64

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 12 Dec 2021 19:50:48 +0000

sunpy (3.1.2-3) unstable; urgency=medium

  * Add python3-reproject to test dependencies

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Dec 2021 08:54:01 +0100

sunpy (3.1.2-2) unstable; urgency=medium

  * Ignore warnings that fail on MIPS or armel

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Dec 2021 08:12:44 +0100

sunpy (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * Rediff patches
  * Update build dependencies
  * Remove unnecessary versionized build deps
  * Skip test that depends on unavailable cdflib

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Dec 2021 08:30:43 +0100

=== debian/control ===
Source: sunpy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-asdf <!nocheck>,
               python3-astropy (>= 4.2~),
               python3-bs4 <!nocheck>,
               python3-distutils,
               python3-extension-helpers,
               python3-drms <!nocheck>,
               python3-h5netcdf <!nocheck>,
               python3-hypothesis <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-mpl-animators <!nocheck>,
               python3-mock <!nocheck>,
               python3-numpy,
               python3-pandas <!nocheck>,
               python3-parfive,
               python3-pytest <!nocheck>,
               python3-pytest-doctestplus <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-reproject <!nocheck>,
               python3-requests <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-skimage <!nocheck>,
               python3-sqlalchemy <!nocheck>,
               python3-suds <!nocheck>,
               python3-tqdm <!nocheck>,
               python3-zeep <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
Homepage: https://sunpy.org/
Rules-Requires-Root: no

Package: python3-sunpy
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-bs4,
            python3-drms,
            python3-requests,
            python3-skimage,
            python3-sqlalchemy,
            python3-suds
Description: Software library for solar physics based on Python
 SunPy is a community-developed free and open-source software package for
 solar physics. SunPy is meant to be a free alternative to the SolarSoft data
 analysis environment. The aim of the SunPy project is to provide the
 software tools necessary so that anyone can analyze solar data.

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,17 @@
 
 export PYBUILD_NAME=sunpy
 export PYBUILD_TEST_ARGS=-k "not figure and not online"
-export PYBUILD_BEFORE_TEST := cp -a CITATION.rst {build_dir}/sunpy/ && \
-			      cp -a sunpy/data/ {build_dir}/sunpy/ && \
-			      cp -a sunpy/visualization/colormaps/data {build_dir}/sunpy/visualization/colormaps/ && \
-			      cp -a sunpy/net/jsoc/data {build_dir}/sunpy/net/jsoc/ && \
-			      cp -a sunpy/net/vso/data {build_dir}/sunpy/net/vso && \
-			      cp -a sunpy/database/tests/*.txt {build_dir}/sunpy/database/tests/
+export PYBUILD_BEFORE_TEST := \
+  cp -a CITATION.rst {build_dir}/sunpy/ && \
+  cp -a sunpy/data/ {build_dir}/sunpy/ && \
+  cp -a sunpy/visualization/colormaps/data {build_dir}/sunpy/visualization/colormaps/ && \
+  cp -a sunpy/net/jsoc/data {build_dir}/sunpy/net/jsoc/ && \
+  cp -a sunpy/net/vso/data {build_dir}/sunpy/net/vso && \
+  cp -a sunpy/net/cdaweb/data {build_dir}/sunpy/net/cdaweb && \
+  cp -a sunpy/database/tests/*.txt {build_dir}/sunpy/database/tests/
+
+# avoid FTBFS on riscv64 in Ubuntu
+DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
